<script>
	import { l, locale } from "@/i18n"
	import { page } from "$app/stores"
	import { isLight } from "@/stores/static"
	import { isPhone, isTablet } from "@/stores/responsiveness"

	const locales = [
		{ name: "RU", key: "ru" },
		{ name: "EN", key: "en" },
		{ name: "AR", key: "ar" }
	]

	$: baseUrl = $page.url.pathname.replace(/\/(ru|en|ar)?\/?/, "")
	$: noLocaleUrl = baseUrl == "/" ? "" : baseUrl
	$: current = locales.find(({ key }) => key === $locale)
</script>

<template lang="pug">
	.locale(
		class:is-flex!='{$isPhone || $isTablet}'
		class:is-align-items-center!='{$isPhone || $isTablet}'
		class:is-justify-content-center!='{$isPhone || $isTablet}'
		class:dark='{!$isLight}')
		+if('!$isPhone && !$isTablet')
			.locale-trigger.is-flex.is-align-items-center.is-justify-content-center {current?.name}
		.locale-body(
			class:is-flex!='{$isPhone || $isTablet}'
			class:is-align-items-center!='{$isPhone || $isTablet}'
			class:is-justify-content-center!='{$isPhone || $isTablet}')
			+each('locales as locale')
				a.locale-body-item.is-flex.is-align-items-center.is-justify-content-center( href='{$l(noLocaleUrl, locale.key)}' class:current='{locale.key == current.key}' ) {locale.name}
</template>

<style lang="scss">
	.locale {
		position: relative;
		&-trigger,
		&-body {
			transition: background .2s ease-in-out;
			@include min_tablet {
				background: $gray-dark;
			}
		}

		&.dark {
			.locale-trigger,
			.locale-body {
				@include min_tablet {
					background: #1F1F1F;
				}
			}

			.locale-trigger {
				color: $white;
			}

			.locale-body-item {
				color: $white;
			}
		}

		&-trigger {
			color: $black;
			height: 100%;
			width: 3rem;
			cursor: pointer;
		}

		&-body {
			@include min_tablet {
				width: 100%;
				max-height: 0;
				overflow: hidden;
				position: absolute;
				top: 100%;
				right: 0;
				transition: max-height .2s ease-in-out;
			}

			&-item {
				width: 3rem;
				height: 3rem;
				transition: 
					background .2s ease-in-out,
					color .2s ease-in-out;
				@include min_tablet {
					&:hover {
						color: $black;
					}
				}
				@include max_tablet {
					color: $white;
				}
				&.current {
					color: $black!important;
					@include min_tablet { background: $primary!important; }
					@include max_tablet { background: $white!important; }
				}
			}
		}

		&:hover {
			.locale-body {
				max-height: 9rem;
			}
		}
	}
</style>